Bug 972595 - [abrt] Crash due to use-after-free after pine import
Summary: [abrt] Crash due to use-after-free after pine import
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evolution (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:34f4bbf829f27f759b3c94ae800...
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 07:57 UTC by Jakub Filak
Modified: 2016-12-01 00:44 UTC (History)
4 users (show)

Fixed In Version: evolution-3.8.5-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 12:40:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.88 KB, text/plain)
2013-06-10 07:57 UTC, Jakub Filak
no flags Details
File: cgroup (141 bytes, text/plain)
2013-06-10 07:57 UTC, Jakub Filak
no flags Details
File: core_backtrace (3.13 KB, text/plain)
2013-06-10 07:57 UTC, Jakub Filak
no flags Details
File: dso_list (21.45 KB, text/plain)
2013-06-10 07:57 UTC, Jakub Filak
no flags Details
File: environ (3.67 KB, text/plain)
2013-06-10 07:57 UTC, Jakub Filak
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-10 07:57 UTC, Jakub Filak
no flags Details
File: maps (106.21 KB, text/plain)
2013-06-10 07:57 UTC, Jakub Filak
no flags Details
File: open_fds (2.92 KB, text/plain)
2013-06-10 07:57 UTC, Jakub Filak
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2013-06-10 07:58 UTC, Jakub Filak
no flags Details
File: var_log_messages (634 bytes, text/plain)
2013-06-10 07:58 UTC, Jakub Filak
no flags Details
File: xsession_errors (32.58 KB, text/plain)
2013-06-10 07:58 UTC, Jakub Filak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 711824 None None None Never

Description Jakub Filak 2013-06-10 07:57:34 UTC
Description of problem:
Evolution Account Assistant -> Importing Files [checked Mail, Address Book] -> Continue

...
importing pine addressbook
importing to uri mbox:/home/jfilak/.local/share/evolution/mail/local#Lists
importing to uri mbox:/home/jfilak/.local/share/evolution/mail/local#Sent
importing to uri mbox:/home/jfilak/.local/share/evolution/mail/local#Drafts

(evolution:24336): camel-WARNING **: (camel-operation.c:152):operation_finalize: runtime check failed: (g_queue_is_empty (&priv->status_stack))

(evolution:24336): GLib-GIO-CRITICAL **: g_cancellable_make_pollfd: assertion `G_IS_CANCELLABLE (cancellable)' failed
*** buffer overflow detected ***: evolution terminated
...

Version-Release number of selected component:
evolution-3.8.2-1.el7

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        evolution
crash_function: __fdelt_chk
executable:     /usr/bin/evolution
kernel:         3.10.0-0.rc4.59.el7.x86_64
runlevel:       N 5
uid:            18601

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 __fdelt_chk at fdelt_chk.c:25
 #6 camel_write at camel-file-utils.c:563
 #7 camel_stream_write at camel-stream.c:158
 #8 write_header at camel-mime-part.c:126
 #9 mime_part_write_to_stream_sync at camel-mime-part.c:561
 #10 camel_data_wrapper_write_to_stream_sync at camel-data-wrapper.c:753
 #11 maildir_folder_append_message_sync at camel-maildir-folder.c:193
 #12 camel_folder_append_message_sync at camel-folder.c:3391
 #13 import_mbox_exec at mail-importer.c:191
 #14 mail_importer_import_mbox_sync at mail-importer.c:284

Comment 1 Jakub Filak 2013-06-10 07:57:38 UTC
Created attachment 759078 [details]
File: backtrace

Comment 2 Jakub Filak 2013-06-10 07:57:40 UTC
Created attachment 759079 [details]
File: cgroup

Comment 3 Jakub Filak 2013-06-10 07:57:43 UTC
Created attachment 759080 [details]
File: core_backtrace

Comment 4 Jakub Filak 2013-06-10 07:57:46 UTC
Created attachment 759081 [details]
File: dso_list

Comment 5 Jakub Filak 2013-06-10 07:57:49 UTC
Created attachment 759082 [details]
File: environ

Comment 6 Jakub Filak 2013-06-10 07:57:51 UTC
Created attachment 759083 [details]
File: limits

Comment 7 Jakub Filak 2013-06-10 07:57:54 UTC
Created attachment 759084 [details]
File: maps

Comment 8 Jakub Filak 2013-06-10 07:57:57 UTC
Created attachment 759086 [details]
File: open_fds

Comment 9 Jakub Filak 2013-06-10 07:58:00 UTC
Created attachment 759087 [details]
File: proc_pid_status

Comment 10 Jakub Filak 2013-06-10 07:58:03 UTC
Created attachment 759088 [details]
File: var_log_messages

Comment 11 Jakub Filak 2013-06-10 07:58:06 UTC
Created attachment 759089 [details]
File: xsession_errors

Comment 13 Milan Crha 2014-01-17 16:25:44 UTC
Thanks for a bug report. This [1] might be the cause and corresponding upstream bug report.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=711824

Comment 15 Vladimir Benes 2014-02-04 14:33:45 UTC
should be fixed now, reopen if this occurs again

Comment 16 Ludek Smid 2014-06-13 12:40:15 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.